Package ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

# Enum Class AutopaymentModeParameter

java.lang.Object
java.lang.Enum<AutopaymentModeParameter>
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.AutopaymentModeParameter

All Implemented Interfaces:
  `Serializable`, `Comparable<AutopaymentModeParameter>`, `Constable`

public enum AutopaymentModeParameter extends Enum<AutopaymentModeParameter>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO_DAY_SUM`
  `AUTO_MONTH_SUM`
  `AUTO_WEEK_SUM`
  `MONTH_DAY`
  `MONTH_SUM`
  `WEEK_DAY`
  `WEEK_SUM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AutopaymentModeParameter`
  `getAutopaymentModeParameterByKey(String key)`
  `String`
  `getKey()`
  `String`
  `getTitle()`
  `static AutopaymentModeParameter`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AutopaymentModeParameter[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WEEK_DAY

    public static final AutopaymentModeParameter WEEK_DAY

  - ### WEEK_SUM

    public static final AutopaymentModeParameter WEEK_SUM

  - ### MONTH_DAY

    public static final AutopaymentModeParameter MONTH_DAY

  - ### MONTH_SUM

    public static final AutopaymentModeParameter MONTH_SUM

  - ### AUTO_DAY_SUM

    public static final AutopaymentModeParameter AUTO_DAY_SUM

  - ### AUTO_WEEK_SUM

    public static final AutopaymentModeParameter AUTO_WEEK_SUM

  - ### AUTO_MONTH_SUM

    public static final AutopaymentModeParameter AUTO_MONTH_SUM

- ## Method Details

  - ### values

    public static AutopaymentModeParameter[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AutopaymentModeParameter valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getKey

    public String getKey()

  - ### getTitle

    public String getTitle()

  - ### getAutopaymentModeParameterByKey

    public static AutopaymentModeParameter getAutopaymentModeParameterByKey(String key)